OTBCLI_IMAGEDIMENSIONALITYREDUCTION(1)

NAME
otbcli_ImageDimensionalityReduction - OTB ImageDimensionalityReduction application

DESCRIPTION
This is the Image Dimensionality Reduction (ImageDimensionalityReduction) application, version 6.6.0

Performs dimensionality reduction of the input image according to a dimensionality reduction model file. Parameters: -in <string> Input Image (mandatory)

-mask
    <string> Input Mask (optional, off by default)

-model <string> Model file (mandatory)

-imstat
    <string> Statistics file (optional, off by default)

-out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double/cint16/cint32/cfloat/cdouble] (default value is float) (mandatory)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

-progress <boolean>
    Report progress

-help
    <string list> Display long help (empty list), or help for given parameters keys

Use -help param1 [... paramN] to see detailed documentation of those parameters.

EXAMPLES
otbcli_ImageDimensionalityReduction -in QB_1_ortho.tif -imstat EstimateImageStatisticsQB1.xml -model clsvmModelQB1.model -out ReducedImageQB1.tif